

local FOV = 45
local RADIUS = 70

local default = GLOBAL.TheCamera.SetDefault
GLOBAL.TheCamera.SetDefault = function (self)
	default(self)
	self.fov = FOV
end

local function addRevealer(inst)
	inst:AddComponent("revealer")
	inst.components.revealer.radius = RADIUS   -- reveal radius
	inst.components.revealer:StartUpdating()
end

for k,prefabname in ipairs(CHARACTERLIST) do
	AddPrefabPostInit(prefabname, addRevealer)
end