-- PackInInventory 1.4 by GraySloth 2013-Sep-12
------config--------
local packs_in_packs = false --set to true so you can put bags inside of other bags.
local packs_in_chests = false --set to true so you can put bags inside of chests.
local packs_in_Teleportato = false --set to true so you can put bags inside the Teleportato in Adventure Mode.
local packs_in_chester = false --set to true to allow Chester to hold bags.
--------------------

local function itemtest(inst, item, slot)
	if not item.components.container then
		return true
	end
end

if not packs_in_chests then
	function packinchest(inst)
		inst.components.container.itemtestfn = itemtest
	end
	AddPrefabPostInit("treasurechest", packinchest)
end

if not packs_in_chester then
	function packinchest(inst)
		inst.components.container.itemtestfn = itemtest
	end
	AddPrefabPostInit("chester", packinchest)
end

function packininvent(inst)
	inst.components.inventoryitem.cangoincontainer = true
	if not packs_in_packs then
		inst.components.container.itemtestfn = itemtest
	end
	if not packs_in_Teleportato then
		inst:AddTag("nonpotatable")
	end
end
-- If you don't want it for all types comment out that line you want to remain unchanged by the mod
AddPrefabPostInit("backpack", packininvent)
AddPrefabPostInit("piggyback", packininvent)
AddPrefabPostInit("krampus_sack", packininvent)