
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/mikusp.zip" ),
}
local prefabs = {}

local fn = function(inst)
	
	-- choose which sounds this character will play
	inst.soundsname = "wendy"

	-- a minimap icon must be specified
	inst.MiniMapEntity:SetIcon( "wendy.png" )

	-- todo: Add an example special power here.
	inst:AddComponent("locomotor") 
    inst.components.locomotor.runspeed = 8 
    inst.components.locomotor.walkspeed = 7
end

local start_inv = 
{
	"leekbaton",
	"emptyhg",
	"rhammo",
	"rhammo",
	"srhammo",
}


-- strings! Any "WOD" below would have to be replaced by the prefab name of your character.

-- First up, the character select screen lines 
-- note: these are lower-case character name
STRINGS.CHARACTER_TITLES.mikusp = "Hatsune Miku - Secret Police"
STRINGS.CHARACTER_NAMES.mikusp = "mikusp"
STRINGS.CHARACTER_DESCRIPTIONS.mikusp = "We are the Secret Police, The ones controlling the government, the nation's peace-keeping department!"
STRINGS.CHARACTER_QUOTES.mikusp = "\"From Day to Night, We are observing you!.\""

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name
STRINGS.CHARACTERS.MIKUSP = {}
STRINGS.CHARACTERS.MIKUSP.DESCRIBE = {}
STRINGS.CHARACTERS.MIKUSP.DESCRIBE.EVERGREEN = "A template description of a tree."



return MakePlayerCharacter("mikusp", prefabs, assets, fn, start_inv)
