local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local Recipe = GLOBAL.Recipe
TECH = GLOBAL.TECH

STRINGS.NAMES.MECH_HAY_ITEM = "Hay Wall Gate"
STRINGS.RECIPE_DESC.MECH_HAY_ITEM = "Hay Wall Gate Segments."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MECH_HAY_ITEM = "Knock knock!"

STRINGS.NAMES.MECH_WOOD_ITEM = "Wood Wall Gate"
STRINGS.RECIPE_DESC.MECH_WOOD_ITEM = "Wooden Wall Gate Segments."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MECH_WOOD_ITEM = "Knock knock!"

STRINGS.NAMES.MECH_STONE_ITEM = "Stone Wall Gate"
STRINGS.RECIPE_DESC.MECH_STONE_ITEM = "Stone Wall Gate Segments."
STRINGS.CHARACTERS.GENERIC.DESCRIBE.MECH_STONE_ITEM = "Knock knock!"


STRINGS.NAMES.MECH_HAY = "Hay Wall Gate"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.MECH_HAY = "Open, Sesame!"

STRINGS.NAMES.MECH_WOOD = "Wooden Wall Gate"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.MECH_WOOD = "Open, Sesame!"

STRINGS.NAMES.MECH_STONE = "Stone Wall Gate"

STRINGS.CHARACTERS.GENERIC.DESCRIBE.MECH_STONE = "Open, Sesame!"





PrefabFiles = 
{
	"mech.lua",
}

function wallgate()
local mech_hay_item = Recipe("mech_hay_item", {Ingredient("wall_hay_item", 4), Ingredient("goldnugget", 2),Ingredient("gears", 1)}, RECIPETABS.TOWN, TECH.SCIENCE_TWO, nil, nil, nil, 4)
mech_hay_item.atlas = "images/inventoryimages/mech_hay_item.xml"


local mech_wood_item = Recipe("mech_wood_item", {Ingredient("wall_wood_item", 4), Ingredient("goldnugget", 3),Ingredient("gears", 1)}, RECIPETABS.TOWN, TECH.SCIENCE_TWO, nil, nil, nil, 4)
mech_wood_item.atlas = "images/inventoryimages/mech_wood_item.xml"


local mech_stone_item = Recipe("mech_stone_item", {Ingredient("wall_stone_item", 4), Ingredient("goldnugget", 4),Ingredient("gears", 1)}, RECIPETABS.TOWN, TECH.SCIENCE_TWO, nil, nil, nil, 4)
mech_stone_item.atlas = "images/inventoryimages/mech_stone_item.xml"

end

AddGamePostInit(wallgate)