local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local Recipe = GLOBAL.Recipe
TECH = GLOBAL.TECH
SpawnPrefab = GLOBAL.SpawnPrefab
Vector3	= GLOBAL.Vector3
TheSim = GLOBAL.TheSim


local function Findenemy(inst)
    local pos = Vector3(inst.Transform:GetWorldPosition())
    local ents = TheSim:FindEntities(pos.x, pos.y, pos.z, 20)
    for i,ent in ipairs(ents) do
     if ent.components.health and not ent.components.health:IsDead() and ent.components.combat and (ent:HasTag("monster") or ent.components.combat.target==GLOBAL.GetPlayer()) and not ent:HasTag("wall") then
	
                local nug = SpawnPrefab("bishop_charge")
                local pt = Vector3(inst.Transform:GetWorldPosition())            
                nug.Transform:SetPosition(pt:Get())
                local j=1
                nug:DoPeriodicTask(0.05, function() 
                local pos = Vector3(ent.Transform:GetWorldPosition())
                local angle= pos-pt  
                local mofor = pt+Vector3((j/40)*angle.x,(j/40)*angle.y,(j/40)*angle.z)   
                if mofor==pos then   ent.components.health:DoDelta(-10)   
                if ent.sg and ent.sg.sg.states.hit then
                ent.sg:GoToState("hit")   

		end



                nug:Remove()
                else nug.Transform:SetPosition(mofor:Get())
                j=j+1 end end)
            end

    end
end

local function towerPrefabPostInit(inst)
    inst.Attacktask = inst:DoPeriodicTask(1.5, function()  Findenemy(inst) end)
end

local function onattack(inst, attacker, target)
    if target.components.freezable then
        target.components.freezable:AddColdness(3)
    end
end



STRINGS.NAMES.GYN = "GuYiNa"
STRINGS.RECIPE_DESC.GYN = "ܼ~"
STRINGS.CHARACTERS.GENERIC.DESCRIBE.SOA = "׵Ŵ!^_^" 
PrefabFiles = 
{
"gyn",
} 
function load()




local gyn = GLOBAL.Recipe("gyn", {Ingredient("redgem", 3), Ingredient("bluegem", 1), Ingredient("livinglog", 4),}, RECIPETABS.MAGIC, {SCIENCE=1} ,"icebox_placer")
gyn.atlas = "images/inventoryimages/gyn.xml"
end


AddPrefabPostInit("gyn", towerPrefabPostInit)
AddGamePostInit(load)


